## feedingit 0.1.2-1

=== Makefile ===
# This Makefile is only used when building Debian packages

DESTDIR=/

all:

install:
	install -d ${DESTDIR}/usr/bin
	install src/FeedingIt ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/opt/FeedingIt
	install src/FeedingIt.py ${DESTDIR}/opt/FeedingIt
	install src/feedparser.py ${DESTDIR}/opt/FeedingIt
	install src/portrait.py ${DESTDIR}/opt/FeedingIt
	install src/rss.py ${DESTDIR}/opt/FeedingIt
	install -d ${DESTDIR}/usr/share/applications/hildon
	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
	install data/40x40/feedingit.png ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
	install -d ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
	install data/26x26/feedingit.png ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/

=== debian/changelog ===
feedingit (0.1.2-1) unstable; urgency=low

  * Added read/unread support
  
 -- Yves <yves@marcoz.org>  Sun, 03 Jan 2010 23:09:19 -0800

feedingit (0.1.1-1) unstable; urgency=low

  * Adding portrait mode support / Better gtk gui

 -- Yves <yves@marcoz.org>  Mon, 28 Dec 2009 17:59:19 -0800

feedingit (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Yves <yves@marcoz.org>  Mon, 28 Dec 2009 17:59:19 -0800

=== debian/control ===
Source: feedingit
Section: user/network
Priority: extra
Maintainer: Yves <yves@marcoz.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: feedingit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon
Description: Simple RSS Reader
 Simple RSS Reader, based on feedparser.py
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBAgQxJ4xGbtcAAAWmSURBVEjHrZZdiF1XFcd/a59z7r1z585MZjKT
 zJgMHVuaWE38aBqqhbEdRJCA+tISg2BfBPETBfWp+NAXQUQKWlRqlYggiLVq
 wKiorRFaUpjpqImhbb6aTGYyM5mP+32+9lo+3JvpbUzTPLjgsPdhn71/+7/W
 2WsvAYhP7OOff740qml9J2oixlubcltmDpNCtHz/kU9ck/c+Qwhw6m8LkwPD
 4dFoYO+Mi7ZhEgCuO0VApNNef9/q3wLkm2TVS8/NPvOnR4HLIYBP4/1DE/tm
 xvdMGhgmBcFycH0QlMAVIShD0Aeu20rQeXDADS4QMSFgafa3M/Xl4/u3QJpn
 SHmCfOVF03jduR0fIbzv51hW66jRBG1egGQF25xDm+eRcFt3E1HXA73uNXGF
 IZW+3aJ5x9cdkBcsb6MSO8tTM+kTVxxFC9u7zlKk/24ww3YfxjWvoAu/xNfO
 gCshQQRS6PGbmKl35nO0G1MH4FXQtI15RT1iaZM8bZE1V8jbG6iBcwHOBYiE
 SGWKYM83cXd8FqOApTUsb2PqMQMDMTUsT/GeHkXm0KyBhh5VkPU51v76CJv1
 nCDqozCwm2BwL/27HmBo1wFEFRUhGp+BwnbS135MkF7DgjIiBQgicIbXZEtR
 eF2RT1popJgXfGOVaOMPDOWdENkyWBjROn8nrZ0fY/jANygN7MIsozCyH/Z+
 hdb84xTyGhaUQQtAgGVvKHIAqg6fttHMozl4H+KCAUrFfkpRkVJR6HM55fgc
 fZefonb8EPWllxEJMfNEQ3cR3fkoabOGJjU0aaFpE80S/Jti5EGTGMsVzY1g
 7CEGj1ym8vEXKU3/lGjq0xCNYpnHkphi4zT584/QWprdOm/FiWl09EG0eQ1N
 alhSR5MG+mZFoGmMZoblYK6CKw4Rbt9H4a4jlB86SuWTJwn3fB7zEZoqVj1H
 cvLraFpHcIRRH8HER4nzEtauoq0qPmni1fWAvOCTHM27oCzGe0/a2kBEEHGE
 g++kf/r7hAe/g8+sE8tLfyc59+vugTUGJ+8nDifxrU20vYmPG2gvKPfgc4/m
 hvdCtnCC8z94F7Pfu49//ejDrJ090flYhMr7v0B792F8YqhC64XHwLcRDCcg
 IwdJWy18exNN2ngvPYpyxWs3Vt7I2i0q+QWmyouM1f5B83eHWJv/BQa4IGRs
 +nHWkgjzkF27SrJ6Cuvmv4HJA1RrbSyukacxXntAPjfQAMtBcyAcpHzvVxmY
 /jZUpoiyJskLj5GsvYIAQf8OoqmHSdpgCtml57fyXXl0D9VajLWbkOWd9d4A
 KUoBU4fmEI59iKGZ71I5+DX03V+k3gB/9XX81TkMiMrbKL3jAI0GqAdfX0HE
 YaYUyttotQztqvHeeg5s7sGVMN/CcixbfUXSxVmCsfdw8aVnKcXQNwC1P36Z
 U7/5FvUYNNlkPOzstjH7NOdfOsZa0xARknrdbNgJhPjepOq9YhIgpWGzxgb5
 5mUu/vABrlRDvI8ZHxHUG0m9yk6q7AhBIhAXdFJM3GRELzDcBcu4Q4vDZq1A
 vO8BgVteX9xcL5V3jQSV8W4Ghqkd0F9Qy7NUtFU1NzhOo23i3/6WlUbSZn3x
 yjq4ZfAdULkUzi+tZp9ZWDx7wLTz+6jSHqxw+N79/R8Y2fdBTavr8p+Tp2Vp
 KX0qyVl4u2tWHBZE4WylHM6Dv/W2jh5yz77+xD228fuH7cSXRuxnh+SJz72v
 WLqdq/xGC3v6DigBZYBP3SN39xdtb3liiotz8/z7zPqxn5ySJ19eToZvoUa6
 5UsGtID4ejlzM9AoEA2E7sFi5O9YefUcz/3l7Nmnz8iTp9dspDv+VhADcqAO
 rADpzUAeSIAGUAgDW3ptNfjVmeOv+rl1OXZ6zS4Chf+tRG4KanTX8r2D3KAq
 CoTQG747SYBQILDbLOm687LbrwL/j/ZfPR8PIxnX9dcAAAAASUVORK5CYII

## feedingit 0.1.3-1

=== debian/changelog ===
feedingit (0.1.3-1) unstable; urgency=low

  * Added dbus service to add new feed (#4992)
  * Fixed #4979, delete feed issue
  * Fixed "Add Feed" dialog
  * Added progress bar and multi-threading for downloading feeds
  * Automatic loading of images in HTML feeds
  * Use dbus to open up external browser
  
 -- Yves <yves@marcoz.org>  Thu, 07 Jan 2010 23:09:19 -0800

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 Package: feedingit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon, libgtkhtml2-0, python-dbus
 Description: Simple RSS Reader
- Simple RSS Reader, based on feedparser.py
+ Simple RSS Reader, with portrait mode support
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## feedingit 0.2.0-3

=== debian/changelog ===
feedingit (0.2.0-3) unstable; urgency=low

  * Removed horizontal scrolling of articles
  
 -- Yves <yves@marcoz.org>  Sun, 10 Jan 2010 10:01:19 -0800

feedingit (0.2.0-2) unstable; urgency=low

  * Added support for left/right gestures in articles
  * Added support for sorting the feed list
  
 -- Yves <yves@marcoz.org>  Sat, 09 Jan 2010 22:03:19 -0800

## feedingit 0.2.0-4

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,12 @@
 	install src/feedparser.py ${DESTDIR}/opt/FeedingIt
 	install src/portrait.py ${DESTDIR}/opt/FeedingIt
 	install src/rss.py ${DESTDIR}/opt/FeedingIt
+	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon
 	install -d ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
 	install data/40x40/feedingit.png ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
 	install -d ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
 	install data/26x26/feedingit.png ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
+	install -d ${DESTDIR}/usr/share/dbus-1/services/
+	install src/feedingit.service ${DESTDIR}/usr/share/dbus-1/services/

=== debian/changelog ===
feedingit (0.2.0-4) unstable; urgency=low

  * Fixed AddFeed dialog typo
  
 -- Yves <yves@marcoz.org>  Sun, 10 Jan 2010 12:06:19 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: feedingit
 Section: user/network
-Priority: extra
+Priority: optional
 Maintainer: Yves <yves@marcoz.org>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
+XB-Maemo-Display-Name: FeedingIt                                                                                                                      
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=1202&atid=4512
 
 Package: feedingit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon, libgtkhtml2-0, python-dbus
 Description: Simple RSS Reader
- Simple RSS Reader, with portrait mode support
+ Simple RSS Reader, with portrait mode support, and swipe gestures in articles
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## feedingit 0.2.1-2

=== debian/changelog ===
feedingit (0.2.1-2) unstable; urgency=low

  * Fixed issue with feeds without dates (#5019)
  * Improved threading of image download
  
 -- Yves <yves@marcoz.org>  Tue, 12 Jan 2010 18:43:19 -0800

## feedingit 0.2.3-1

=== debian/changelog ===
feedingit (0.2.3-1) unstable; urgency=low

  * Added Font size option for feeds
  * Added option to enable horizontal scrolling of articles (disabling gestures)
  
 -- Yves <yves@marcoz.org>  Sat, 17 Jan 2010 13:31:19 -0800

feedingit (0.2.2-1) unstable; urgency=low

  * Added support for Import/Export of OPML files
  
 -- Yves <yves@marcoz.org>  Sat, 16 Jan 2010 14:38:19 -0800

## feedingit 0.2.3-2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	install src/feedparser.py ${DESTDIR}/opt/FeedingIt
 	install src/portrait.py ${DESTDIR}/opt/FeedingIt
 	install src/rss.py ${DESTDIR}/opt/FeedingIt
+	install src/opml.py ${DESTDIR}/opt/FeedingIt
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon

=== debian/changelog ===
feedingit (0.2.3-2) unstable; urgency=low

  * Fixed missing python-osso dependency
  
 -- Yves <yves@marcoz.org>  Sat, 17 Jan 2010 13:31:19 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: feedingit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon, libgtkhtml2-0, python-dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon, libgtkhtml2-0, python-dbus, python-osso
 Description: Simple RSS Reader
  Simple RSS Reader, with portrait mode support, and swipe gestures in articles
 XB-Maemo-Icon-26:

## feedingit 0.4.3-1

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,15 @@
 	install src/portrait.py ${DESTDIR}/opt/FeedingIt
 	install src/rss.py ${DESTDIR}/opt/FeedingIt
 	install src/opml.py ${DESTDIR}/opt/FeedingIt
+	install src/config.py ${DESTDIR}/opt/FeedingIt
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon
 	install -d ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
-	install data/40x40/feedingit.png ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
+	install data/40px.png ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
-	install data/26x26/feedingit.png ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
+	install data/26px.png ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/feedingit.png
+	install -d ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/
+	install data/64px.png ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/dbus-1/services/
 	install src/feedingit.service ${DESTDIR}/usr/share/dbus-1/services/

=== debian/changelog ===
feedingit (0.4.3-1) unstable; urgency=low

  * Background save of feeds to disk
  * Added edit feed button
  
 -- Yves <yves@marcoz.org>  Tue, 27 Jan 2010 09:12:19 -0800

feedingit (0.4.2-0) unstable; urgency=low

  * Configuration of orientation
  * Feed updates in the background
  
 -- Yves <yves@marcoz.org>  Tue, 27 Jan 2010 09:12:19 -0800

feedingit (0.4.1-2) unstable; urgency=low

  * Changing waiting period for article windows animation
  
 -- Yves <yves@marcoz.org>  Tue, 26 Jan 2010 07:57:19 -0800

feedingit (0.4.1-1) unstable; urgency=low

  * New icons from claesbas!
  * Auto-updates of feeds
  * Support for archived articles
  * Configuration window
  * Expiry of articles based on time, rather than new update content
  
 -- Yves <yves@marcoz.org>  Tue, 26 Jan 2010 07:39:19 -0800

feedingit (0.3.1-1) unstable; urgency=low

  * Fixed socket timeouts
  
 -- Yves <yves@marcoz.org>  Sat, 23 Jan 2010 13:31:19 -0800

## feedingit 0.4.4-0

=== debian/changelog ===
feedingit (0.4.4-0) unstable; urgency=low

  * Fix timing of autoupdate
  * Fix specific feeds
  * Fix display when few feeds are displayed
  * Fix export of feeds with "&" symbols
  * Added GetStatus dbus call to get the listing of unread items
  
 -- Yves <yves@marcoz.org>  Tue, 29 Jan 2010 21:47:19 -0800

=== debian/control ===
Source: feedingit
Section: user/network
Priority: optional
Maintainer: Yves <yves@marcoz.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
XB-Maemo-Display-Name: FeedingIt                                                                                                                      
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=1202&atid=4512

Package: feedingit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon, libgtkhtml2-0, python-dbus, python-osso
Description: Simple RSS Reader
 Simple RSS Reader
 Its main features are:
 - Portrait mode support
 - Auto-update
 - Swipe left or right while in articles to move to the previous or next article
 - Import/Export of OPML files
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c                                                                                                                                     
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAABl1J
 REFUSMelVn1sldUdfn7v/b7W0ks7Sum9cG/FOXBgqFBHgSbg5lBMoCFuKNvc
 FiLOhDBjk/2xubDMQTKd2Ra2BJxZIFWWayBoSkdxw2G/bEE+WotULJ2lLZ+F
 21t63+/z7I/3toJzGt0vOcmb97znPO/znOc85wBfvCTfvvCgzysfgOhzz6C2
 ugpfLypCOQl1PYPzTYdx4vmdaARgAHC/JJAEdr/Ih6cXaWtXLAqs19wA7GtR
 uKMh0CV8EQuBqTk4YQO/ftlZ9dx2NH0WmPbJF7wEAIidaOD+R78ZTlfPTKw3
 L5QxNzSN1lgBHAbgOkFYIwUY6yqlP0ScufzEDF3Xr9TW1j4IIPS5QCSwfDVS
 Q204NW/GtIfMkUKf+HUgJCJhJRImJEAgCCBIhMpy8tYx928bNvzwa+FwOLZv
 377GxsbG35WUlHyF5GdKN3WoDSdjWjIBf5CB5G8FznXa534ucIOgA9AUwBIo
 HbQKr+mPP59ZdOAwrMHBwTfLy8uTSim2trbuq6mp+RGAsU9hJOGeJqRLC6Yn
 JKQYvLtB/MWrcehEQoyKv0MLOpCAQAIE/YQWcSRXlDn2ncd3Laqvr6+Mx+Nz
 GxoatmmaJsuWLVt75MiRP+aNdGu9+gc8ZnXf7uonU8p4/w6SZHt7OwGwaEqQ
 HFjB8XdSHD+SVDeaUmTPbZxTgXWmaWVJ8tChQ2kAUzZv3lxHkq7r2rt3717z
 X2vV1eBv199NUn8vSfPsTKWMo7x6dZyR26Zz27MPUPXeQf1oirmWFPV/JXjm
 TekA1pd1dna+zny1tLT8GUDx8PDwUaWU6ujoaLpFtWgYlfwwwtzxWco4naJx
 LkVrKEknu4m0N9E+F6f+Xor6u0k13pJURmcxf/I9fDs/PLx///7fK6WU4zgs
 KytbuG7dugcnwKPR6IJJoIO7sNXpKqZ+PEWjJ0mzL0lrMEnrQpzmQILm2ZQH
 dCzJ8eYKdbETPQBmdnV1/SmdTm8CEOvr6/uAJAcGBnoAhLLZ7FWSPHjw4FYA
 8APwpRKosscKgRBAJd62swBoAcAF6ALiAsoVRouvSv1e7DnX/9GeVHJm9bx5
 85BOp53Zs2f/WCnVHI/Hvwqg/NSpU81Lly5dk0gk7gXg0wBohVGUKcsHOgRs
 AKbXaOSfLYA2IFTSez7Xu/FZbC+dVlIBgACwePHiRSTPG4ZhAZC6urqS1tbW
 NgCIxWJxAJoGAJogAIeg7U1Ii1CGl2CuCdD0+uC6uKG741uexsqdL+16ITOa
 7c9kMmdqamq2AaBSygEATdPEsiwbAEREJvaRyjkYoamBlpAmQUM8RqYH5m1S
 wtUDnBOeVfmztVNfeXTJUxvrNk75TSwWq+7v7z9bWlpaEg6Ho/l1GV24cOEC
 AMhms5cBKA2AGr6Mbn84B1oQmAKahDIIpRM0CGURyhTQFFGmwB4ukmhvxZ0v
 1UVffudV394dL+CRaFG1c/HipeaxsbHTXV1dg1VVVcsBYGho6AQAVwBgy0+x
 /pc/KKgfH5hG+CmaD+CE+wlAAXQFcCfkFcKGKJMUGxKcdd11kplM7ZN44u2T
 9zXbNzrsXC53LRKJyPz585d0d3e3TWRdaKQlOBoYnhESnxAaBCIQ8YIWagIM
 gAMoG55pLIA2SUMAQG6/7wpOX8+1Hf3I3b7haRw5cKDx4VWrHtp5c6hq6R34
 xcpYYgvsgMAHQvJ99EiJA1DlgZy8/R2CtuS9B4iQJCRyz4hS5dns95/B/H1N
 OH9zqKr069gTnDto0CCVDqFB0PjYECpvDuatDxug5YGIeH9Meh4zuos13cTo
 leswPvWYWP0trNq7NdIwfryUCtpkn6Y8Cel6Z6hyPCknvqAHRpBCAQtXDIn/
 XmsBgJOaAIqfiPHec/jw7nuc8fkLrAes/gJCUeAI6UBoe7LBATTmGSDPRkiP
 DVm4Ylh+9Yr1yNvteGvCS7cwmlx4QHtsNdb8dYv/tdzhuEZXQAg0b9pbNPj4
 ECW0oIvQ/ef1yjVc+X4fmm/CmLzh4GYwAOzuRe+FMfVG8M6MPXeRUeUXwLka
 AV2QFKES0BEKRSJ3jcI35xoOZka2vvgXPPXPNhz/Mtct/5QC3NVYjycr4lhe
 6ASKle73AxBfgWOOKPvSB//GP+7/LnYAGMib/v+uAIDY0m+gfFk14gAK8+k/
 WUsq//fg/wAnQYd0SCjJNQAAAABJRU5ErkJggg

## feedingit 0.4.4-1

=== Makefile ===
--- 
+++ 
@@ -25,3 +25,9 @@
 	install data/64px.png ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/dbus-1/services/
 	install src/feedingit.service ${DESTDIR}/usr/share/dbus-1/services/
+	
+clean:
+	rm src/*pyo
+	
+sourcepkg:
+	dpkg-buildpackage -rfakeroot -sa -S -i -I.git

=== debian/changelog ===
feedingit (0.4.4-1) unstable; urgency=low

  * Fix timing of autoupdate
  * Fix specific feeds
  * Fix display when few feeds are displayed
  * Fix export of feeds with "&" symbols
  * Added GetStatus dbus call to get the listing of unread items
  
 -- Yves <yves@marcoz.org>  Tue, 29 Jan 2010 21:47:19 -0800

## feedingit 0.5.1-0

=== debian/changelog ===
feedingit (0.5.1-0) unstable; urgency=low

  * Added caching of images for Archived Articles
  
 -- Yves <yves@marcoz.org>  Sun, 07 Mar 2010 17:36:19 -0800

feedingit (0.5.0-1) unstable; urgency=low

  * Refactored Feed and Listing object. Much smaller memory footprint, faster shutdown
  
 -- Yves <yves@marcoz.org>  Wed, 03 Mar 2010 10:43:19 -0800

feedingit (0.4.5-3) unstable; urgency=low

  * Fixed utf-8 support
  * Fixed dbus add feed dialog
  * Re-added single feed update
  * Open in external browser now uses load_url dbus call
  * Disabled rotation if keyboard is open
  
 -- Yves <yves@marcoz.org>  Sun, 31 Jan 2010 10:43:19 -0800

feedingit (0.4.5-0) unstable; urgency=low

  * Added support for webkit widget
  * Added Backup configuration
  * Changed gesture mechanism to make it less sensitive
  * Fixed app not starting after a crash if a feed was deleted
  
 -- Yves <yves@marcoz.org>  Sun, 31 Jan 2010 10:43:19 -0800

## feedingit 0.5.1-1

=== debian/changelog ===
feedingit (0.5.1-1) unstable; urgency=low

  * Fixed read/unread issue when updating feeds
  * Unread messages are shown in SkyBlue colour
  
 -- Yves <yves@marcoz.org>  Mon, 08 Mar 2010 22:38:19 -0800

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
 
 Package: feedingit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon, libgtkhtml2-0, python-dbus, python-osso
-Description: Simple RSS Reader
- Simple RSS Reader
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon,
+ libgtkhtml2-0, python-dbus, python-osso, python-gconf, python-beautifulsoup
+Recommends: python2.5-webkit
+Description:
+ RSS Reader
  Its main features are:
  - Portrait mode support
  - Auto-update

## feedingit 0.5.2-0

=== debian/changelog ===
feedingit (0.5.2-0) unstable; urgency=low

  * Fixed AddFeed from dbus (feedhandler)
  * Added python2.5-webkit as dependency
  
 -- Yves <yves@marcoz.org>  Wed, 10 Mar 2010 19:05:19 -0800

## feedingit 0.5.2-2

=== debian/changelog ===
feedingit (0.5.2-2) unstable; urgency=low

  * Fixed horizontal scrolling
  * Use theme color for unread items
  * Added proxy support for feed download
  
 -- Yves <yves@marcoz.org>  Wed, 10 Mar 2010 19:05:19 -0800

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
 Package: feedingit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon,
- libgtkhtml2-0, python-dbus, python-osso, python-gconf, python-beautifulsoup
-Recommends: python2.5-webkit
+ libgtkhtml2-0, python-dbus, python-osso, python-gconf, python-beautifulsoup, python2.5-webkit
 Description:
  RSS Reader
  Its main features are:

## feedingit 0.5.2-3

=== debian/changelog ===
feedingit (0.5.2-3) unstable; urgency=low

  * Changed theme colour used
  
 -- Yves <yves@marcoz.org>  Wed, 17 Mar 2010 19:05:19 -0800

## feedingit 0.5.2-4

=== debian/changelog ===
feedingit (0.5.2-4) unstable; urgency=low

  * Changed theme colour used
  
 -- Yves <yves@marcoz.org>  Wed, 17 Mar 2010 19:05:19 -0800

## feedingit 0.5.3-4

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,8 @@
 	install data/64px.png ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/dbus-1/services/
 	install src/feedingit.service ${DESTDIR}/usr/share/dbus-1/services/
+	install -d ${DESTDIR}/etc/osso-backup/applications/
+	install src/feedingit.conf ${DESTDIR}/etc/osso-backup/applications/
 	
 clean:
 	rm src/*pyo

=== debian/changelog ===
feedingit (0.5.3-4) unstable; urgency=low

  * Fixed text selection when panning (#5103)
 
 -- Yves <yves@marcoz.org>  Tue, 23 Mar 2010 07:20:19 -0800

feedingit (0.5.3-2) unstable; urgency=low

  * Enabled image caching for all articles
  * Added update dbus call
 
 -- Yves <yves@marcoz.org>  Mon, 22 Mar 2010 22:02:19 -0800

## feedingit 0.5.4-0

=== debian/changelog ===
feedingit (0.5.4-0) stable; urgency=low

  * Added link to known issues in the Preferences menu
  * Fixed dbus calls
  * Changed button size in Organize Feed menu
  * Added proxy support for image downloads
 
 -- Yves <yves@marcoz.org>  Wed, 23 Mar 2010 20:56:19 -0800

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: feedingit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-gtkhtml2, python, python-hildon,
- libgtkhtml2-0, python-dbus, python-osso, python-gconf, python-beautifulsoup, python2.5-webkit
+Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-hildon,
+ python-dbus, python-osso, python-gconf, python-beautifulsoup, python2.5-webkit
 Description:
  RSS Reader
  Its main features are:

## feedingit 0.5.4-1

=== debian/changelog ===
feedingit (0.5.4-1) stable; urgency=low

  * Removed external BeautifulSoup dependency

 -- Yves <yves@marcoz.org>  Wed, 24 Mar 2010 09:57:19 -0800

## feedingit 0.5.4-2

=== debian/changelog ===
feedingit (0.5.4-2) stable; urgency=low

  * Removed external BeautifulSoup dependency

 -- Yves <yves@marcoz.org>  Wed, 24 Mar 2010 09:57:19 -0800

## feedingit 0.5.4-3

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	install src/rss.py ${DESTDIR}/opt/FeedingIt
 	install src/opml.py ${DESTDIR}/opt/FeedingIt
 	install src/config.py ${DESTDIR}/opt/FeedingIt
+	install src/BeautifulSoup.py ${DESTDIR}/opt/FeedingIt
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon

=== debian/changelog ===
feedingit (0.5.4-3) stable; urgency=low

  * Fixed Article font size setting
  * Fixed <em> tags in titles
  * Tweaked swipe gesture

 -- Yves <yves@marcoz.org>  Fri, 26 Mar 2010 22:33:19 -0800
 

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: feedingit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-hildon,
- python-dbus, python-osso, python-gconf, python-beautifulsoup, python2.5-webkit
+ python-dbus, python-osso, python-gconf, python2.5-webkit
 Description:
  RSS Reader
  Its main features are:

## feedingit 0.6.0-0

=== debian/changelog ===
feedingit (0.6.0-0) stable; urgency=low

  * Added home widget
  * Fixed a few more HTML characters in titles
  * Fixed crash caused by imageHandler
  * Added loading indicator for links

 -- Yves <yves@marcoz.org>  Sun, 11 Apr 2010 09:45:19 -0800

## feedingit 0.6.0-1

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,12 @@
 	install src/feedingit.service ${DESTDIR}/usr/share/dbus-1/services/
 	install -d ${DESTDIR}/etc/osso-backup/applications/
 	install src/feedingit.conf ${DESTDIR}/etc/osso-backup/applications/
+	install -d ${DESTDIR}/usr/share/applications/hildon-home/
+	install src/feedingit_widget.desktop ${DESTDIR}/usr/share/applications/hildon-home/
+	install -d ${DESTDIR}/usr/lib/hildon-desktop/
+	install src/feedingit_widget.py ${DESTDIR}/usr/lib/hildon-desktop/
+	
+	
 	
 clean:
 	rm src/*pyo

=== debian/changelog ===
feedingit (0.6.0-1) stable; urgency=low

  * Added dbus communication from app to widget
  * Fixed updates for articles without titles

 -- Yves <yves@marcoz.org>  Mon, 12 Apr 2010 09:50:19 -0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Package: feedingit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-hildon,
- python-dbus, python-osso, python-gconf, python2.5-webkit
+ python-dbus, python-osso, python-gconf, python2.5-webkit,
+ python-hildondesktop, hildon-desktop-python-loader
 Description:
  RSS Reader
  Its main features are:

## feedingit 0.6.1-0

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,9 @@
 	install src/rss.py ${DESTDIR}/opt/FeedingIt
 	install src/opml.py ${DESTDIR}/opt/FeedingIt
 	install src/config.py ${DESTDIR}/opt/FeedingIt
+	#install src/feedingit_status.desktop ${DESTDIR}/opt/FeedingIt
+	install src/update_feeds.py ${DESTDIR}/opt/FeedingIt
+	install src/updatedbus.py ${DESTDIR}/opt/FeedingIt
 	install src/BeautifulSoup.py ${DESTDIR}/opt/FeedingIt
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
@@ -26,13 +29,14 @@
 	install data/64px.png ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/dbus-1/services/
 	install src/feedingit.service ${DESTDIR}/usr/share/dbus-1/services/
+	install src/feedingit_status.service ${DESTDIR}/usr/share/dbus-1/services/
 	install -d ${DESTDIR}/etc/osso-backup/applications/
 	install src/feedingit.conf ${DESTDIR}/etc/osso-backup/applications/
 	install -d ${DESTDIR}/usr/share/applications/hildon-home/
 	install src/feedingit_widget.desktop ${DESTDIR}/usr/share/applications/hildon-home/
 	install -d ${DESTDIR}/usr/lib/hildon-desktop/
 	install src/feedingit_widget.py ${DESTDIR}/usr/lib/hildon-desktop/
-	
+	#install src/feedingit_status.py ${DESTDIR}/usr/lib/hildon-desktop/
 	
 	
 clean:

=== debian/changelog ===
feedingit (0.6.1-0) unstable; urgency=low

  * Added autoupdate from the widget

 -- Yves <yves@marcoz.org>  Sat, 17 Apr 2010 20:19:19 -0800

## feedingit 0.6.1-1

=== debian/changelog ===
feedingit (0.6.1-1) unstable; urgency=low

  * Now use dbus as lock mechanisms
  * Added setting to disable proxy support

 -- Yves <yves@marcoz.org>  Sat, 24 Apr 2010 16:57:19 -0800

## feedingit 0.6.1-2

=== debian/changelog ===
feedingit (0.6.1-2) unstable; urgency=low

  * Some improvements for Archived Articles

 -- Yves <yves@marcoz.org>  Sun, 25 Apr 2010 23:13:19 -0800

## feedingit 0.6.1-3

=== debian/changelog ===
feedingit (0.6.1-3) unstable; urgency=low

  * Fixed module import issue in widget

 -- Yves <yves@marcoz.org>  Sun, 25 Apr 2010 23:13:19 -0800

## feedingit 0.6.1-5

=== debian/changelog ===
feedingit (0.6.1-5) unstable; urgency=low

  * Small performance fixes
  * Bugfix for unread messages
  * ArchivedArticles can now be cleaned up manually

 -- Yves <yves@marcoz.org>  Thu, 29 Apr 2010 22:18:19 -0800

## feedingit 0.6.1-6

=== debian/changelog ===
feedingit (0.6.1-6) unstable; urgency=low

  * Fix for <em> tags

 -- Yves <yves@marcoz.org>  Fri, 30 Apr 2010 20:54:19 -0800

## feedingit 0.6.1-7

=== debian/changelog ===
feedingit (0.6.1-7) unstable; urgency=low

  * Added check for broken feeds

 -- Yves <yves@marcoz.org>  Mon, 03 May 2010 21:44:19 -0800

## feedingit 0.6.1-8

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon
-	install -d ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/
-	install data/40px.png ${DESTDIR}/usr/share/icons/hicolor/40x40/apps/feedingit.png
+	install -d ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/
+	install data/48px.png ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
 	install data/26px.png ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/feedingit.png
 	install -d ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/

=== debian/changelog ===
feedingit (0.6.1-8) unstable; urgency=low

  * Fixed bug triggering updates from widgets too often

 -- Yves <yves@marcoz.org>  Mon, 03 May 2010 21:44:19 -0800

## feedingit 0.6.1-9

=== debian/changelog ===
feedingit (0.6.1-9) unstable; urgency=low

  * Fixed bug triggering updates from widgets too often

 -- Yves <yves@marcoz.org>  Mon, 10 May 2010 21:55:19 -0800

## feedingit 0.6.2-0

=== debian/changelog ===
feedingit (0.6.2-0) unstable; urgency=low

  * Added icons to feeds
  * Added timeout to widget updates to prevent hanging

 -- Yves <yves@marcoz.org>  Tue, 12 May 2010 07:21:19 -0800

## feedingit 0.6.2-1

=== debian/changelog ===
feedingit (0.6.2-1) unstable; urgency=low

  * Image cache expiry is time-based (removed imageHandler in memory object)

 -- Yves <yves@marcoz.org>  Tue, 19 May 2010 22:02:19 -0800

## feedingit 0.6.2-2

=== debian/changelog ===
feedingit (0.6.2-2) unstable; urgency=low

  * Fixed image caching in Archived Articles

 -- Yves <yves@marcoz.org>  Mon, 24 May 2010 19:57:19 -0800

## feedingit 0.7.0-0

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	install src/updatedbus.py ${DESTDIR}/opt/FeedingIt
 	install src/BeautifulSoup.py ${DESTDIR}/opt/FeedingIt
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
+	install src/aboutdialog.py ${DESTDIR}/opt/FeedingIt
+	install src/style.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon
 	install -d ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/

=== debian/changelog ===
feedingit (0.7.0-0) unstable; urgency=low

  * Added THP's patches (TreeView for feed and article listing, About dialog)
  * Added Nelson's patch (Hide read feeds and articles options)
  * Fixed error message when viewing un-downloaded Archived Article

 -- Yves <yves@marcoz.org>  Sat, 29 May 2010 10:53:19 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Yves <yves@marcoz.org>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
-XB-Maemo-Display-Name: FeedingIt                                                                                                                      
+XB-Maemo-Display-Name: FeedingIt RSS Reader
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=1202&atid=4512
 
 Package: feedingit
@@ -14,11 +14,9 @@
  python-hildondesktop, hildon-desktop-python-loader
 Description:
  RSS Reader
- Its main features are:
- - Portrait mode support
- - Auto-update
- - Swipe left or right while in articles to move to the previous or next article
- - Import/Export of OPML files
+ Its main features are portrait mode support, auto-update, swipe left or right while
+ in articles to move to the previous or next article, import/export of OPML files,
+ image caching, desktop widget
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c                                                                                                                                     
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAABl1J

## feedingit 0.7.0-1

=== debian/changelog ===
feedingit (0.7.0-1) unstable; urgency=low

  * Fixed error message when viewing un-downloaded Archived Article

 -- Yves <yves@marcoz.org>  Sat, 29 May 2010 10:53:19 -0800

## feedingit 0.7.0-2

=== debian/changelog ===
feedingit (0.7.0-2) unstable; urgency=low

  * Changed layout of article listing TreeView
  * Reduced font for widget and made it single click

 -- Yves <yves@marcoz.org>  Sat, 29 May 2010 10:53:19 -0800

## feedingit 0.7.0-3

=== debian/changelog ===
feedingit (0.7.0-3) unstable; urgency=low

  * Fixed re-layout of article listing when switching portrait to/from landscape
  * Fixed landscape rotation bug for PR1.2 (by Thp)
  * Better UI and interaction for menus, the settings dialog and subscriptions menu (Thp)
  * Added grey background colour to article listing

 -- Yves <yves@marcoz.org>  Tue, 08 Jun 2010 07:34:19 -0800

## feedingit 0.7.0-4

=== debian/changelog ===
feedingit (0.7.0-4) unstable; urgency=low

  * UI Improvements (Thp)
  * Added options to sort the list of feeds (njsf)
  * Added option to open links in external browser

 -- Yves <yves@marcoz.org>  Tue, 15 Jun 2010 00:03:19 -0800

## feedingit 0.7.0-5

=== debian/changelog ===
feedingit (0.7.0-5) unstable; urgency=low

  * [#5946] Make swipe navigation previous article iterate over _generated list_. (njsf)

 -- Yves <yves@marcoz.org>  Mon, 21 Jun 2010 20:28:19 -0800

## feedingit 0.8.0-1

=== debian/changelog ===
feedingit (0.8.0-1) unstable; urgency=low

  * Modified storage engine to use sqlite3
  * Updated widget with possibility of showing article listing

 -- Yves <yves@marcoz.org>  Fri, 16 Jul 2010 23:34:19 -0800

## feedingit 0.8.0-2

=== debian/changelog ===
feedingit (0.8.0-2) unstable; urgency=low

  * Updated feed/article cell size in widget

 -- Yves <yves@marcoz.org>  Sat, 17 Jul 2010 16:40:19 -0800

## feedingit 0.8.0-3

=== debian/changelog ===
feedingit (0.8.0-3) unstable; urgency=low

  * Updated feed/article cell size in widget
  * Updated hide read feed option

 -- Yves <yves@marcoz.org>  Sun, 18 Jul 2010 01:40:19 -0800

## feedingit 0.8.0-4

=== debian/changelog ===
feedingit (0.8.0-4) unstable; urgency=low

  * Created widget option for small/large size

 -- Yves <yves@marcoz.org>  Mon, 19 Jul 2010 23:12:19 -0800

## feedingit 0.8.0-5

=== debian/changelog ===
feedingit (0.8.0-5) unstable; urgency=low

  * Fixed feed listing background colour
  * Added author item in articles
  * Fixed dates of articles/feeds

 -- Yves <yves@marcoz.org>  Sun, 8 Aug 2010 19:03:19 -0800

## feedingit 0.8.0-6

=== debian/changelog ===
feedingit (0.8.0-6) unstable; urgency=low

  * Fixed feed listing background colour in widget
  * Fixed database upgrade bug when not using the widget

 -- Yves <yves@marcoz.org>  Tue, 10 Aug 2010 07:35:19 -0800

## feedingit 0.8.0-7

=== debian/changelog ===
feedingit (0.8.0-7) unstable; urgency=low

  * Fixed widget typo

 -- Yves <yves@marcoz.org>  Tue, 10 Aug 2010 11:49:19 -0800

## feedingit 0.8.0-8

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	install src/BeautifulSoup.py ${DESTDIR}/opt/FeedingIt
 	install src/feedingitdbus.py ${DESTDIR}/opt/FeedingIt
 	install src/aboutdialog.py ${DESTDIR}/opt/FeedingIt
+	install src/rss_sqlite.py ${DESTDIR}/opt/FeedingIt
 	install src/style.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon

=== debian/changelog ===
feedingit (0.8.0-8) unstable; urgency=low

  * Fixed change reverted by -7

 -- Yves <yves@marcoz.org>  Fri, 13 Aug 2010 21:59:19 -0800

## feedingit 0.9.1-1

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,22 @@
 	install -d ${DESTDIR}/usr/bin
 	install src/FeedingIt ${DESTDIR}/usr/bin
 	install -d ${DESTDIR}/opt/FeedingIt
+	install -d ${DESTDIR}/opt/FeedingIt/qml/i18n
+	install -d ${DESTDIR}/opt/FeedingIt/qml/common
+	install -d ${DESTDIR}/opt/FeedingIt/qml/common/images
+	install -d ${DESTDIR}/opt/FeedingIt/qml
+	install src/qml/*.qml ${DESTDIR}/opt/FeedingIt/qml
+	install src/qml/i18n/*.qm ${DESTDIR}/opt/FeedingIt/qml/i18n
+	install src/qml/common/*.qml ${DESTDIR}/opt/FeedingIt/qml/common
+	install src/qml/common/images/*.png ${DESTDIR}/opt/FeedingIt/qml/common/images
+	install src/qml/common/images/*.sci ${DESTDIR}/opt/FeedingIt/qml/common/images
 	install src/FeedingIt.py ${DESTDIR}/opt/FeedingIt
 	install src/feedparser.py ${DESTDIR}/opt/FeedingIt
 	install src/portrait.py ${DESTDIR}/opt/FeedingIt
 	install src/rss.py ${DESTDIR}/opt/FeedingIt
 	install src/opml.py ${DESTDIR}/opt/FeedingIt
 	install src/config.py ${DESTDIR}/opt/FeedingIt
+	install src/FeedingIt-Web.py ${DESTDIR}/opt/FeedingIt
 	#install src/feedingit_status.desktop ${DESTDIR}/opt/FeedingIt
 	install src/update_feeds.py ${DESTDIR}/opt/FeedingIt
 	install src/updatedbus.py ${DESTDIR}/opt/FeedingIt
@@ -22,6 +32,11 @@
 	install src/aboutdialog.py ${DESTDIR}/opt/FeedingIt
 	install src/rss_sqlite.py ${DESTDIR}/opt/FeedingIt
 	install src/style.py ${DESTDIR}/opt/FeedingIt
+	install src/mainthread.py ${DESTDIR}/opt/FeedingIt
+	install src/jobmanager.py ${DESTDIR}/opt/FeedingIt
+	install src/httpprogresshandler.py ${DESTDIR}/opt/FeedingIt
+	install src/wc.py ${DESTDIR}/opt/FeedingIt
+	install src/debugging.py ${DESTDIR}/opt/FeedingIt
 	install -d ${DESTDIR}/usr/share/applications/hildon
 	install src/FeedingIt.desktop ${DESTDIR}/usr/share/applications/hildon
 	install -d ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/
@@ -44,6 +59,7 @@
 	
 clean:
 	rm src/*pyo
+	rm src/*pyc
 	
 sourcepkg:
 	dpkg-buildpackage -rfakeroot -sa -S -i -I.git

=== debian/changelog ===
feedingit (0.9.1-1) unstable; urgency=low

  * Add support for Woodchuck

 -- Neal H. Walfield <neal@walfield.org>  Sat, 31 Jul 2011 20:34:31 +0200

feedingit (0.9.0-0) unstable; urgency=low

  * Added QML interface
  * Fixed the use of id as article identifier (#6473)
  * Added categories
  * Fixed the text of updated articles (#6232)

 -- Yves <yves@marcoz.org>  Sun, 21 Nov 2010 21:19:19 -0800

feedingit (0.8.0-9) unstable; urgency=low

  * Fixed date in feed shows as 1/1/1970 if no date field in rss feed is present (#6398)

 -- Yves <yves@marcoz.org>  Fri, 12 Sep 2010 10:54:19 -0800

=== debian/control ===
Source: feedingit
Section: user/network
Priority: optional
Maintainer: Yves <yves@marcoz.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
XB-Maemo-Display-Name: FeedingIt RSS Reader
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=1202&atid=4512

Package: feedingit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-hildon,
 python-dbus, python-osso, python-gconf, python2.5-webkit,
 python-hildondesktop, hildon-desktop-python-loader, qt4-declarative-qmlviewer
Description: A RSS feed reader with portrait mode support
 FeedingIt is an easy to use RSS feed reader with portrait
 mode support and automatic feed updates. You can swipe left
 and right to move between articles. Import and export of
 subscription lists is supported for OPML files. Images can
 be cached during the feed update, so you can view images in
 the downloaded articles while offline.
 .
 A desktop widget is provided for updating feeds and quick
 access to your favourite feeds.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAADiFJREFUeNq0WglUVNcZ/t9s
 zIgDAgJKEEEQ1+ACRpugjVWjEBM1LrVRbGOi5xjP8aiNWYwxrWjJivVo3ZJT
 jdpGjQt1F2vUuOKCKKAgooJiUPZlYNZ3+9/37hvuDAMRTe/h583Mu+/Nv3z/
 +kaAX2cJSCokDZKakYp9riyCJDKyIzkYkWf94me5ljKqY2RgpGfv1WyPwAlA
 GbYimRk1sqP1aYURnpJxDWO0PZIRqUNsXwh5ewoM6R4OPbp0hnAvHXgT0nR/
 QQBCKf8O3CyrhJL9xyFjx0G4iacqkCqRTMwy5P8lgKJxA2PaP+556Dbvj5Dw
 ylB4LbgjPNdWTTyugAfZ+XBwZBJ8jW8fMSHEtgjxpAJQPGuRfJA6IuPRKYvg
 T/FxMEbvJVkCiE0D9lpvEBt1IDZ4gcOkk1lBYBCHzJagtYPKYAGNrxnUfo2g
 Nlqlmy9dCW8nr4GT+LIGycJg9USQUrdB6wFIXbd+DbO/XgzLoyPgeY0GNPY6
 I1gfBYGt3B9EUzsQLV7IsFrWjMBpif6zq4CgYPYK3FevA11IHZSWwcPXZ8Oe
 rVu3jiwvL7cVFxer3Jz+qS2gMN8OKRC13ndbKvylRzfoT086TO3BVu0naZ4Q
 wTXGIBGxKc4QD8d2vR+BJtAEa7bA9n3nRmWlp6d/ZrFYGo8cObJr/PjxG3Hn
 Q+YfDa35RmsWoI7qjdR5wUwYvXYZpHR9DqJFmw6slZ3A3uAjIwv/BIUE2VtB
 cNWM4HZUe9lB370cqmqg+uU3YcOqVasSoqOju2s0Gm3Pnj37zZkzZ7TNZivL
 yMigAtiYAGJbLKBoPgSddMwXH0IKRhWDo7E92OsCUBWqJiMjEcK5HtWwKLSo
 fcqKV0QZaIPq4JvtsHn2x7APNb9Np9O14xkw49q9e/c/p0+f/g2+LWH+YXO3
 hLoFoahjBk9OhPh1ybBSYt6MkDEFosYFEHQ+oDIOAMEQKru3WMu0D5z2BVft
 s69V6VD73crAbAHzkInwKY0+AwcONIeEhPTQ6/UGp/lxxcTEDIqMjIS9e/cW
 MOduJoDggXmahAJe6AcD922E9TQ8Oiwy8xQm6oCJoAn9BF/4OC9yPNoEtuJk
 16gjHQWn1gk76jpXoPZr4MhPsD/hLfgcPy1nES54165db0+cOPEP7hpFB18/
 Y8aM9fjyPlItg5RHC6hZjO+yYzV83CsK+ot2PeI9GAQ8I+hDQRv1ParRyzXG
 th8gWUKsz/CgdcGpM0ElgleXMrDYiPmNd2FlwqtJhuvXr9cxANbv3Lkz6/Hj
 x/kjRowYSi2g3L9fv35xQUFBtYcOHbrNsrfTqVVu2qec+ScvhMSXYmEUEBVq
 PlgWC2+nDnrLubm6uhqGDx+O0BGkY516hCSkUglRa8lHIjs63l0bWIN7RDh7
 BS7dvA2NixYtmlNXV3dk7dq101iOqVu3bt3xwYMHzywtLX3IK2nmzJnzpkyZ
 8gLlj6FE8BR1gpCGVmdBBSkEYr0eTMxZEcScHUEsNyKIaLpAlLVy5UrS5MZA
 5s+fT8zXcO+VCNJ4EelcBGk4jXQigpiOdSMNR8OJeEtF6H1HxcMHY8aMWUi4
 lZeXdzUuLm4c3isGacCECRNmNeLi99y7dy8fz73AcpKat4CCfb8tX8Gbvkbw
 p9ARHe1k7TGtEusNp7Q1NTUu0leV5ch3U7Sv4ko5JLXRJGn/cjZkHDsDee+/
 //6L/PU9evTof+DAgX+gQ0dRiKDjXk1JSfmS39O1a9fo5OTk0bT2Uqyg4koF
 GsY6vj4SpkiOafaTIwpjhgoh1m9y3mzcuHHQoUMH5/ukCe3lvXw0ch4JaAOq
 pH3L1wC9SWlJScm12traCp7B4ODg5w4fPrwKLRFBo86yZcvST58+fZzfg2E1
 ifLJ+HW6AMV+xPKFsISa2JGnJ+ZMhMN1GTqWWxHEegepKII4qt4jRKyRTHr3
 7l1y4sQJUnhtKbEU4L6b8jXmqxyMfsLPLwZK0LmZDln4PYNpkECKREZfv3z5
 8nnits6cOZOO54dQOPXv33+yO5RWrFjxMZ4Lp3wrElBzGBOHQ4KkfavRxbWd
 mqSRxrwbHJXDMPS/CV18F0N8z6V43CrvYYnYCUpGGh8ZbruOwG6KNhpxaBxA
 5nNQiI8yMzPP81p+6aWXRi1fvnwkvTorK6v41KlT6fz5hISEROb0OhWHf2NE
 KPSiG0RLu9YrKFKL/nBBInA8aL2M1ZlBpbXC3ftw+5NUOMfMTrHnywJAaWxs
 7NIbN25k89dNmzZtBitlzBs3btzHn+vdu/cAdr2euR3of/8qRHbwAT/RpsfS
 QOXSCBKlZFAKNbtMctnAPmOxnrjEJgydPjL2N26XtC+gxqN/+OGHeYjtFUlJ
 SYNZ1q+YOnXq57R8UL42PDy8++TJk6PpXfbs2XML4XrbiXcvL8OCBQv6KRCi
 5PXbwdBb1r6hiQGxOUmM27ns6nDbwzEvaR+puhaqPlsPWVikDUB8b580adL8
 +Pj4qVu2bPl+x44dNLmos7Oziy9dunTWzQq/Y+HdXFBQkMufw2jVm7eAFsvk
 7pIG7ZqmcpjXuoMrj+2cIFzDQtyEUOvrZOwfhjTa986bN28a1R7PCEazWZi4
 aP5p3L59+2G30BrDygwbVqaZ/DnMzCGKBaS6XxTlkCQyAVy07olx9poXjO8F
 BMEOakO9pP1Zi2E/FYCWyu4+QgXCDEu1aceM7OIHnTp1CmMWcFAL8efCwsJo
 FNI6ExkKIMcPsQWtc+VwM0Ecbj6BR423jP1taXCUVZE2rHM8ejwyV6RMKQoL
 C+8on2Oe8WMIEdFv7vPXYOVKI41a1TzCuGndA+Pu5AIlZgmqfbqiwiG8Z6TU
 8Htv3rx5n/vX5eTknMLPb7AizSEIAmlL16hUfESlYjWj0gryMhFwdl7NJj18
 hHI0CU9bTrV3PYwZBkNe3g/900/DqYUrPvjxwYMH62bNmjXMaDTqcnNzz44d
 O3YNK6kpLxp/XG5Milx7675ERQCRzmzYK6mjom8JXxZTxloRwMWJUQDL4yD0
 A3/Q+lWB3rdOjyXKaCziXj50cvW5CWNXbykshmLWaVUy+BgxH/gz2EiLhU6q
 FjVm30E856iIInlMwL7S1ABSyBC0FoZrwRU6jibMy4h2c2YXn5CvJRYNWEoC
 oSE/DOyVRjDowWviGBiecwT+euBbSIrpKUGrAyPvJUuWxPNMYkldyKZ26tDQ
 0C78OavVShsbq0oZ9+XcglsyqOxcuBQkcmfUow9IfiDIzLv5hNioAfPdQDBd
 C0NPNgKdJb06HBIz9sCmo5vh0wG9IY4OD06ePFlcVFR0S2EyPz//AmsldX36
 9HGJYOfPn79KLadgi45NBl9KgzTRrMNQENpURquaRreSfwnNnb61sYqnSEYH
 XF5hVaDtLOcJ2h//eB6OL1wBB/LvQENiYqJfamrqaxh2FzLnDsQGar+vr6/T
 PwYNGjQea6mLCqKpCbuXZsAe2gM35IXJCY13XHf8wy/4gftsSATX/pgKgg2+
 V7cq0HVpEoQ6+wdfwN68QrjLZkPWDRs2jJo9e/Ya5SvLysruYyKbgC8L1Vw/
 YHgxFsJ6RUKMaNZg7a9vYowxKvDjE3dGxebJjI9KylCdtwyxqMD+0Bus94xo
 FeyXA6warAii3pkCI+PjoOONAigpLQMHNjpl2Cs8RgpEK3Q8duzYt1iCnKZ9
 laJPLRujjNy5GjYRqwZM2WFOrQuC27Sfj0LgZoHWJnSih9zCTUBV7eyg74UW
 6dpkkZMZcOy9v8Hu3AJpSmfF3thYWVl5Ly0tjTp4Pc8SLU+j7p6Cf4eHQnfz
 nUCwVxhd4cP3Bwr+PcDoiaDE1VDNSnAPgpzKgPTFX8F3mblAk95jOgCgKuAR
 TcvakOSFMG3JXFgmYgg0ZYY1tZVCK3nR04SuNSi1wnxrgtjsYNL1kCLWAzaK
 J4LbTIg6c9S9n2ALnYNai/3AguTS+ntyYjcY8VVsi1b4xbkzp1kUglJFNRR1
 jJW6xmImgMtcSGQfli76DFKo2XQY6lQGq0vSao085YaWSu8nXdQKXlFyS5q8
 GlK5abXHyZykG/R+06AY8OvZDfpp/BvA9tAoJ7RWGh1wi0TE0UKkasMDJBqZ
 2sf/LAnx37OQNvdT+I49yTErd/KEaC2DUrfM/ZCKWfJFR50OGi6HoBCq5n7A
 hVoXHyBPz7iT+WEPQe1rhaISuBU+DGjnVshqJ3trAihNPp29RD66CP8KCoBQ
 R60OTBlMiJbCKHA+QJ6OcXfmH5VDydh34N3L2XCVVa1m/q4tPeBQnuXaTl6A
 K+NHwVCjn8NHG1IPjjIDkAZ1866NT2SkbTh3mS4j096/KeWZn4vMX2fMW35p
 vO7+YI+G1kA61UM4pVA4SXE5zw/MN/08R6NnWNRZabShFsCaKCvpz7D00nWg
 bWYZq4nEtj6lVISg3IambYC5o4fCZFpNig0aSQhrkfGZGdcEmsEQUy5pna7j
 52DvyCT4ioVLpV9o0yMmTz7hw8qNuC8/hI9onpCwhoJYbvtipPKWXrcF5zRB
 Ua3TKEPXvQdQ8PdNsGbVZumR6yP2WMnaGiCf9Dmx8nTewKzRCTP2K9PHQRIt
 O5xPamp0YEcfoUexQeshptskLWsCG53aVhjf9h/Y+kkqpLMyoepJn9y39acG
 KmYNb1Y7BUxKgL4LZsLUyDDo05an9dRBsa3M3XkQDqLGMxjOaxjjtieNYU/7
 Wwnlyb2B/V6Cwqt9bF/o/MZo6PObgTDA4ZBmTc7706GBWg2O85lwdc9RyL2S
 Az+zIW8dOza0hfFf49cqikX4X6zo2ahex/3khg/Nyq9VLBzZOKi0OZb9T4AB
 AI/3VErEZu5CAAAAAElFTkSuQmCC
 ====

## feedingit 0.9.1-2

=== debian/changelog ===
feedingit (0.9.1-2) unstable; urgency=low

  * Fixed update issue with feeds having old articles
  * Removed qmlviewer dependency

 -- Yves <yves@marcoz.org>  Tue, 15 Nov 2011 21:51:19 -0800

## feedingit 0.9.1-3

=== debian/changelog ===
feedingit (0.9.1-3) unstable; urgency=low

  * Fixed Archived Articles updates

 -- Yves <yves@marcoz.org>  Wed, 16 Nov 2011 21:51:19 -0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-hildon,
  python-dbus, python-osso, python-gconf, python2.5-webkit,
- python-hildondesktop, hildon-desktop-python-loader, qt4-declarative-qmlviewer
+ python-hildondesktop, hildon-desktop-python-loader
 Description: A RSS feed reader with portrait mode support
  FeedingIt is an easy to use RSS feed reader with portrait
  mode support and automatic feed updates. You can swipe left

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/feedingit.sgml > feedingit.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/feedingit.
	$(MAKE) DESTDIR=$(CURDIR)/debian/feedingit install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## feedingit 0.9.1-4

=== debian/changelog ===
feedingit (0.9.1-4) stable; urgency=low

  * Added Woodchuck options and install link

 -- Yves <yves@marcoz.org>  Wed, 23 Nov 2011 21:51:19 -0800

## feedingit 0.9.1-5

=== debian/changelog ===
feedingit (0.9.1-5) stable; urgency=low

  * Fixed bugs for automatic update and settings

 -- Yves <yves@marcoz.org>  Wed, 28 Dec 2011 21:51:19 -0800

## feedingit 0.9.1-6

=== Makefile ===
--- 
+++ 
@@ -62,4 +62,4 @@
 	rm src/*pyc
 	
 sourcepkg:
-	dpkg-buildpackage -rfakeroot -sa -S -i -I.git
+	dpkg-buildpackage -rfakeroot -sa -S -i -I.git -Ipsa_harmattan

=== debian/changelog ===
feedingit (0.9.1-6) stable; urgency=low

  * Fixed date bug for some feeds

 -- Yves <yves@marcoz.org>  Thu, 29 Dec 2011 21:51:19 -0800
